/**
 *
 */
package de.intevation.gnv.statistics;

import java.sql.SQLException;
import java.util.Collection;

import de.intevation.gnv.geobackend.base.Result;
import de.intevation.gnv.transition.describedata.KeyValueDescibeData;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class VerticalProfileStatistics extends TimeseriesStatistics {

    /**
     * Constructor
     */
    public VerticalProfileStatistics() {
        super();
    }

    @Override
    protected double calculateXOrdinateValue(Result row) throws SQLException {
        return 0;
    }

    @Override
    protected String generateStatisticsName(
                                            String break1,
                                            String break2,
                                            String break3,
                                            Collection<KeyValueDescibeData> parameters,
                                            Collection<KeyValueDescibeData> measurements,
                                            Collection<KeyValueDescibeData> dates) {
        
        return (this.findValueTitle(parameters, break1)+ " "+ 
               this.findValueTitle(measurements,break2)).trim();
    }
    
    

}
